# Changelog

**0.1.1**

- Moved the logic from the entrypoint script to its own class.
- Added locking (though `fresh.lock` lockfile) to prevent multiple instances.
- Added `--after` hook to invoke script after update.
- Disabled automatic flushing of the state to disk; --check will no longer update
  the state file, but --pull and default update will.

**0.1.2**

- Fixed a bug in lockfile class preventing release of stale lockfile.
- The `--image` option finally works.
- Added a `--write-state`/`-w` option to write updated hashes to the state file.
- Implemented `--config` and `--config-type`options.

**0.1.3**

- Added a `--before` script hook, to complement the `--after` hook.
- Hooks now invoked both before and after deploy.

**0.1.4**

- Renamed the state file from `fresh.yml` to `.fresh.yml`.
- Added option `--state` to override the state file name.
- Renamed the lock file from `fresh.lock` to `.fresh.lock`.
- Added option `--lockfile` to override lockfile file name.
- Implemented the fresh configuration loader.

**0.1.5**

- Bugfix: The lockfile is no longer removed automatically, but only if it was
  created by the current instance.

**0.1.6**

- Implemented self-updating (use -U or --self-update)

**0.1.7**

- Added `--only` option, to only pull for specific services
- Added `--updated` option to only pull updated images
